Index: test/edu/ucsb/nceas/metacatnettest/MetaCatServletNetTest.java
===================================================================
--- test/edu/ucsb/nceas/metacatnettest/MetaCatServletNetTest.java	(revision 5310)
+++ test/edu/ucsb/nceas/metacatnettest/MetaCatServletNetTest.java	(revision 5311)
@@ -58,7 +58,6 @@
 	}
 
 	private String serialNumber;
-	private static Logger logMetacat = Logger.getLogger(DocumentImpl.class);
 
 	/**
 	 * Constructor to build the test
@@ -109,7 +108,7 @@
 		//create random number for docid, so it can void repeat
 		number = Math.random() * 100000;
 		serial = Integer.toString(((new Double(number)).intValue()));
-		logMetacat.debug("serial: " + serial);
+		debug("serial: " + serial);
 		suite.addTest(new MetaCatServletNetTest("testInsertXMLDocument", serial));
 		suite.addTest(new MetaCatServletNetTest("testReadXMLDocumentXMLFormat", serial));
 		suite.addTest(new MetaCatServletNetTest("testUpdateXMLDocument", serial));
@@ -145,7 +144,7 @@
 	}
 
 	/**
-	 * Test the login to neceas succesfully
+	 * Test the login to nceas succesfully
 	 */
 	public void testNCEASLogin() {
 		debug("\nRunning: testNCEASLogin test");
@@ -156,7 +155,7 @@
 	}
 
 	/**
-	 * Test the login to neceas failed
+	 * Test the login to nceas failed
 	 */
 	public void testNCEASLoginFail() {
 		debug("\nRunning: testNCEASLoginFail test");
@@ -184,7 +183,7 @@
 		debug("\nRunning: testInsertXMLDocument test");
 		String name = "john" + PropertyService.getProperty("document.accNumSeparator") + serialNumber
 				+ PropertyService.getProperty("document.accNumSeparator") + "1";
-		logMetacat.debug("insert docid: " + name);
+		debug("insert docid: " + name);
 		String content = "<?xml version=\"1.0\"?>"
 				+ "<!DOCTYPE acl PUBLIC \"-//ecoinformatics.org//"
 				+ "eml-access-2.0.0beta6//EN\" \"http://pine.nceas.ucsb."
@@ -195,7 +194,7 @@
 				+ "<permission>all</permission>" + "</allow>" + "<allow>"
 				+ "<principal>public</principal>" + "<permission>read</permission>"
 				+ "</allow>" + "</acl>";
-		logMetacat.debug("xml document: " + content);
+		debug("xml document: " + content);
 		assertTrue(handleXMLDocument(content, name, "insert"));
 
 	}
@@ -208,7 +207,7 @@
 		debug("\nRunning: testInsertInvalidateXMLDocument test");
 		String name = "john" + PropertyService.getProperty("document.accNumSeparator") + serialNumber
 				+ PropertyService.getProperty("document.accNumSeparator") + "1";
-		logMetacat.debug("insert docid: " + name);
+		debug("insert docid: " + name);
 		String content = "<?xml version=\"1.0\"?>"
 				+ "<acl authSystem=\"knb\" order=\"allowFirst\">" + "<identifier>" + name
 				+ "</identifier>" + "<allow>"
@@ -216,7 +215,7 @@
 				+ "<permission>all</permission>" + "</allow>" + "<allow>"
 				+ "<principal>public</principal>" + "<permission>read</permission>"
 				+ "</allow>" + "</acl>";
-		logMetacat.debug("xml document: " + content);
+		debug("xml document: " + content);
 		assertTrue(handleXMLDocument(content, name, "insert"));
 	}
 
@@ -228,7 +227,7 @@
 		debug("\nRunning: testInsertNonWellFormedXMLDocument test");
 		String name = "john" + PropertyService.getProperty("document.accNumSeparator") + serialNumber
 				+ PropertyService.getProperty("document.accNumSeparator") + "1";
-		logMetacat.debug("insert non well-formed docid: " + name);
+		debug("insert non well-formed docid: " + name);
 		String content = "<?xml version=\"1.0\"?>"
 				+ "<acl authSystem=\"knb\" order=\"allowFirst\">" + "<identifier>" + name
 				+ "</identifier>" + "<allow>"
@@ -237,7 +236,7 @@
 				+ "<principal>public</principal>" + "<permission>read</permission>"
 				+ "</allow>";
 
-		logMetacat.debug("xml document: " + content);
+		debug("xml document: " + content);
 		assertTrue(!handleXMLDocument(content, name, "insert"));
 	}
 
@@ -281,7 +280,7 @@
 		debug("\nRunning: testUpdateXMLDocument test");
 		String name = "john" + PropertyService.getProperty("document.accNumSeparator") + serialNumber
 				+ PropertyService.getProperty("document.accNumSeparator") + "2";
-		logMetacat.debug("update docid: " + name);
+		debug("update docid: " + name);
 		String content = "<?xml version=\"1.0\"?>"
 				+ "<!DOCTYPE acl PUBLIC \"-//ecoinformatics.org//"
 				+ "eml-access-2.0.0beta6//EN\" \"http://pine.nceas.ucsb."
@@ -292,7 +291,7 @@
 				+ "<permission>all</permission>" + "</allow>" + "<allow>"
 				+ "<principal>public</principal>" + "<permission>read</permission>"
 				+ "</allow>" + "</acl>";
-		logMetacat.debug("xml document: " + content);
+		debug("xml document: " + content);
 		assertTrue(handleXMLDocument(content, name, "update"));
 
 	}
@@ -304,8 +303,8 @@
 		debug("\nRunning: testInertDataFile test");
 		String name = "john" + PropertyService.getProperty("document.accNumSeparator") + serialNumber
 				+ PropertyService.getProperty("document.accNumSeparator") + "1";
-		logMetacat.debug("insert data file docid: " + name);
-		logMetacat.debug("insert data file ");
+		debug("insert data file docid: " + name);
+		debug("insert data file ");
 		File hello = new File("test/jones.204.22.xml");
 
 		assertTrue(insertDataFile(name, hello));
@@ -318,9 +317,8 @@
 		debug("\nRunning: testDeleteXMLDocument test");
 		String name = "john" + PropertyService.getProperty("document.accNumSeparator") + serialNumber
 				+ PropertyService.getProperty("document.accNumSeparator") + "2";
-		logMetacat.debug("delete docid: " + name);
+		debug("delete docid: " + name);
 		assertTrue(handleDeleteFile(name));
-
 	}
 
 	/**
@@ -348,7 +346,7 @@
 
 		// Now contact metacat
 		String response = getMetacatString(prop);
-		logMetacat.debug("Login Message: " + response);
+		debug("Login Message: " + response);
 		boolean connected = false;
 		if (response.indexOf("<login>") != -1) {
 			connected = true;
@@ -374,7 +372,7 @@
 		prop.put("qformat", "xml");
 
 		String response = getMetacatString(prop);
-		logMetacat.debug("Logout Message: " + response);
+		debug("Logout Message: " + response);
 		edu.ucsb.nceas.morpho.framework.HttpMessage.setCookie(null);
 
 		if (response.indexOf("<logout>") != -1) {
@@ -432,7 +430,7 @@
 		prop.put("docid", docid);
 
 		String message = getMetacatString(prop);
-		logMetacat.debug("Insert or Update Message: " + message);
+		debug("Insert or Update Message: " + message);
 		if (message.indexOf("<error>") != -1) {//there was an error
 
 			return false;
@@ -453,7 +451,7 @@
 		prop.put("docid", name);
 
 		String message = getMetacatString(prop);
-		logMetacat.debug("Delete Message: " + message);
+		debug("Delete Message: " + message);
 		if (message.indexOf("<error>") != -1) {//there was an error
 
 			return false;
Index: lib/web.xml.tomcat5
===================================================================
--- lib/web.xml.tomcat5	(revision 5310)
+++ lib/web.xml.tomcat5	(revision 5311)
@@ -507,14 +507,6 @@
 
 <security-constraint>
 	<web-resource-collection>
-		<web-resource-name>CFG</web-resource-name>
-			<url-pattern>*.cfg</url-pattern>
-	</web-resource-collection>
-	<auth-constraint/>
-</security-constraint>
-
-<security-constraint>
-	<web-resource-collection>
 		<web-resource-name>PROPERTIES</web-resource-name>
 		<url-pattern>*.properties</url-pattern>
 	</web-resource-collection>
Index: lib/style/skins/sanparks/searchWorkflowRun.jsp
===================================================================
--- lib/style/skins/sanparks/searchWorkflowRun.jsp	(revision 5310)
+++ lib/style/skins/sanparks/searchWorkflowRun.jsp	(revision 5311)
@@ -83,9 +83,9 @@
 												<!-- input name="keyword" id="sf-metadata-type1000" value="urn:lsid:localhost:onto:3:1#tpc-workflow-run" type="hidden">
 							           			<input name="metadata-type-searchmode" id="sm-metadata-type1000" value="equals" type="hidden" -->
 <%
-												if (request.getParameter("workflowid") != null) {	
+												if (request.getParameter("workflowlsid") != null) {	
 %>
-								         			<input name="workflow-lsid" id="sf-workflow-id1000" value="<%= request.getParameter("workflowid") %>" type="hidden">
+								         			<input name="workflow-lsid" id="sf-workflow-id1000" value="<%= request.getParameter("workflowlsid") %>" type="hidden">
 							           				<input name="metadata-type-searchmode" id="sm-workflow-id1000" value="starts-with" type="hidden">	
 <%
 												}
@@ -98,8 +98,8 @@
 														<option value="creator">Creator</option>
 														<option value="description">Description</option>
 														<option value="date-executed">Date Executed</option>
-														<option value="workflow-run-id">Workflow Run ID</option>
-														<option value="workflow-lsid">Workflow ID</option>
+														<option value="workflow-run-lsid">Workflow Run LSID</option>
+														<option value="workflow-lsid">Workflow LSID</option>
 														<option value="status">Status</option>
 													</select>    
 							        		
Index: lib/style/skins/sanparks/searchWorkflow.jsp
===================================================================
--- lib/style/skins/sanparks/searchWorkflow.jsp	(revision 5310)
+++ lib/style/skins/sanparks/searchWorkflow.jsp	(revision 5311)
@@ -88,7 +88,7 @@
 														<option value="creator">Creator</option>
 														<option value="description">Description</option>
 														<option value="date-created">Date Created</option>
-														<option value="workflow-id">Workflow ID</option>
+														<option value="workflow-lsid">Workflow LSID</option>
 													</select>         		
 			        								<input class="submit-button" value="Search" type="button" onclick="setWorkflowQueryFormField('tpcSearch');submitFormIntoDiv('<%=SERVLET_URL%>','tpcSearch','workflow-search-results')">
 			        							</div> 
Index: lib/style/skins/sanparks/index.jsp
===================================================================
--- lib/style/skins/sanparks/index.jsp	(revision 5310)
+++ lib/style/skins/sanparks/index.jsp	(revision 5311)
@@ -31,6 +31,7 @@
         <title>SANParks - South African National Park Data Repository</title>
         <link rel="stylesheet" href="<%=STYLE_SKINS_URL%>/default/default.css" type="text/css"/>
         <link rel="stylesheet" type="text/css" href="<%=STYLE_SKINS_URL%>/sanparks/sanparks.css"/>
+        <script language="JavaScript" type="text/JavaScript" src="<%=STYLE_SKINS_URL%>/sanparks/searchPathQuery.js"></script>
         <script language="JavaScript" type="text/JavaScript" src="<%=STYLE_SKINS_URL%>/sanparks/sanparks.js"></script>
         <script language="JavaScript" type="text/JavaScript" src="<%=STYLE_COMMON_URL%>/branding.js"></script>
     </head>
Index: lib/style/skins/sanparks/scheduleWorkflowRun.jsp
===================================================================
--- lib/style/skins/sanparks/scheduleWorkflowRun.jsp	(revision 5310)
+++ lib/style/skins/sanparks/scheduleWorkflowRun.jsp	(revision 5311)
@@ -41,6 +41,7 @@
     <head>
         <title>Sanparks TPC Report Search</title>
         <link rel="stylesheet" type="text/css" href="<%=STYLE_SKINS_URL%>/sanparks/sanparks.css"/>
+        <link rel="stylesheet" type="text/css" href="<%=STYLE_SKINS_URL%>/sanparks/sanparks-tpc.css"/>
         <link rel="stylesheet" type="text/css" href="<%=STYLE_SKINS_URL%>/sanparks/sanparks-scheduled-jobs.css"/>
         <link rel="stylesheet" type="text/css" href="<%=STYLE_SKINS_URL%>/sanparks/header2.css"/>
         <link rel="stylesheet" type="text/css" href="<%=STYLE_SKINS_URL%>/sanparks/left-nav2.css"/>
@@ -53,112 +54,129 @@
         <script language="JavaScript" type="text/JavaScript" src="<%=STYLE_COMMON_URL%>/ajax-utils.js"></script>
         <script language="JavaScript" type="text/JavaScript" src="<%=STYLE_COMMON_URL%>/scheduleWorkflow.js"></script>
     </head>
-    <body class="main-section" onload="getWorkflowRunSection('<%=SERVLET_URL%>','<%=request.getParameter("workflowid")%>','<%=request.getParameter("workflowname")%>','workflow-run-content')">
-        <jsp:include page="header2.jsp"/>
-        
-        <!-- Main content -->
-        <jsp:include page="left-nav2.jsp"/>
+    <body onload="getWorkflowRunSection('<%=SERVLET_URL%>','<%=request.getParameter("workflowid")%>','<%=request.getParameter("workflowname")%>','workflow-run-content')">
+		<table class="page-section" cellpadding="0" cellspacing="0" border="0">
+        	<tr>
+        		<td>
+        			<jsp:include page="header2.jsp"/>
+        		</td>
+        	</tr>
+			<tr>
+				<td>
+        			<table class="center-content-section" cellpadding="0" cellspacing="0" border="0">
+        				<tr>
+        					<td class="left-nav-section">
+        						<!-- Main content -->
+								<jsp:include page="left-nav2.jsp"/>
+ 							</td>
            
-    	<div class=content-section>  
-    	    <div class="content-subsection" id="workflow-summary-section"> 
+    						<td class="schedule-section">  
+    	    					<div class="content-subsection" id="workflow-summary-section"> 
 <%
-    	    if (! hasSchedulePermissions) {
+    	    						if (! hasSchedulePermissions) {
 %>
-				<div class="warning-header">You have view permissions only for this workflow</div>
+									<div class="warning-header">You have view permissions only for this workflow</div>
 <%
-    	    } 
+    	    						} 
 %>		
-				<div class="content-subsection-header">Workflow Summary</div> 
-    			<div class="form-input-row" id="form-base-row">
-    				<div class="summary-field" id='workflow-name-label' >Name: </div>  
+									<div class="content-subsection-header">Workflow Summary</div> 
+    								<div class="form-input-row" id="form-base-row">
+    									<div class="summary-field" id='workflow-name-label' >Name: </div>  
 <%
-					if (request.getParameter("workflowname") != null) {
+										if (request.getParameter("workflowname") != null) {
 %>
-						<div class="summary-value" id='workflow-name-value' ><%=request.getParameter("workflowname")%></div>
+										<div class="summary-value" id='workflow-name-value' ><%=request.getParameter("workflowname")%></div>
 <%
-					}
+										}
 %>	  
-					<br>
-					<div class="summary-field" id='workflow-lsid-label' >LSID: </div>  
+										<br>
+										<div class="summary-field" id='workflow-lsid-label' >LSID: </div>  
 <%
-					if (request.getParameter("workflowid") != null) {
+										if (request.getParameter("workflowid") != null) {
 %>
-						<div class="summary-value" id='workflow-lsid-value' ><%=request.getParameter("workflowid")%></div>
+										<div class="summary-value" id='workflow-lsid-value' ><%=request.getParameter("workflowid")%></div>
 <%
-    	    			if (hasSchedulePermissions) {
+    	    								if (hasSchedulePermissions) {
 %>
-						(<jsp:text><![CDATA[<a href=./workflowAccess.jsp?workflowid=]]></jsp:text><jsp:expression>request.getParameter("workflowid")</jsp:expression><jsp:text><![CDATA[&workflowname=]]></jsp:text><jsp:expression>request.getParameter("workflowname")</jsp:expression><jsp:text><![CDATA[>Change Access Permissions</a>]]></jsp:text>)
-						
+											(<jsp:text><![CDATA[<a href=./workflowAccess.jsp?workflowid=]]></jsp:text><jsp:expression>request.getParameter("workflowid")</jsp:expression><jsp:text><![CDATA[&workflowname=]]></jsp:text><jsp:expression>request.getParameter("workflowname")</jsp:expression><jsp:text><![CDATA[>Change Access Permissions</a>]]></jsp:text>)						
 <%
-    	    			}
-					}
+    	    								}
+										}
 %>	  
-				</div>
-			</div>
-			<div class="content-subsection" id="schedule-section">   
-    			<div class="content-subsection-header">Schedule Workflow </div> 
-        		<form action="<%=SERVLET_URL%>" name="workflowScheduler" id="workflowScheduler">
-					<input name="qformat" value="sanparks" type="hidden" />
-					<input name="action" value="scheduleWorkflow" type="hidden" />  
-					<input name="forwardto" value="scheduleWorkflowRun.jsp" type="hidden" /> 
+									</div>
+								</div>
+								<div class="content-subsection" id="schedule-section">   
+    								<div class="content-subsection-header">Schedule Workflow </div> 
+        							<form action="<%=SERVLET_URL%>" name="workflowScheduler" id="workflowScheduler">
+										<input name="qformat" value="sanparks" type="hidden" />
+										<input name="action" value="scheduleWorkflow" type="hidden" />  
+										<input name="forwardto" value="scheduleWorkflowRun.jsp" type="hidden" /> 
 <%
-					if (request.getParameter("workflowid") != null) {
+										if (request.getParameter("workflowid") != null) {
 %>
-						<input name='workflowid' value='<%=request.getParameter("workflowid")%>' type='hidden' />
+										<input name='workflowid' value='<%=request.getParameter("workflowid")%>' type='hidden' />
 <%
-					}
-					if (request.getParameter("karid") != null) {
+										}
+										if (request.getParameter("karid") != null) {
 %>
-						<input name='karid' value='<%=request.getParameter("karid")%>' type='hidden' />
+										<input name='karid' value='<%=request.getParameter("karid")%>' type='hidden' />
 <%
-					}
-					if (request.getParameter("workflowname") != null) {
+										}
+										if (request.getParameter("workflowname") != null) {
 %>
-						<input name='workflowname' value='<%=request.getParameter("workflowname")%>' type='hidden' />
+										<input name='workflowname' value='<%=request.getParameter("workflowname")%>' type='hidden' />
 <%
-					}
+										}
 %>	  		 
-					<div class="form-input-row">
-						<div class="field-label" id='start-time-label' >Start Time: </div>  
-						<input class="date-input" name='starttime' id='starttime' /> 
-						<div class="field-suffix"><%= TimeZone.getDefault().getDisplayName(true, TimeZone.SHORT) %> &nbsp;&nbsp;(mm/dd/yyyy hh:mm:ss)</div>
-					</div>
-					<div class="form-input-row">
-						<div class="field-label" id='start-time-label' >End Time: </div>  
-						<input class="date-input" name='endtime' id='endtime' /> 
-						<div class="field-suffix"><%= TimeZone.getDefault().getDisplayName(true, TimeZone.SHORT) %> &nbsp;&nbsp;(mm/dd/yyyy hh:mm:ss)</div>
-					</div>
-					<div class="form-input-row">
-						<div class="field-label" id='interval-label' >Interval: </div>  
-						<input class="int-input" name='intervalvalue' id='intervalvalue' /> 
-						<select class="dropdown-input" name='intervalunit'>
-							<!-- option name="seconds" value="sec">seconds</option -->
-							<!-- option name="minutes" value="min">minutes</option -->
-							<option name="hours" value="hour">hours</option>
-							<option name="days" value="day">days</option>
-							<option name="weeks" value="week">weeks</option>
-							<option name="months" value="mon">months</option>
-						</select>
-					</div>
-					<br> <br>     		
-        			<input class="submit-button" value="Schedule" type="submit"
+										<div class="form-input-row">
+											<div class="field-label" id='start-time-label' >Start Time: </div>  
+											<input class="date-input" name='starttime' id='starttime' /> 
+											<div class="field-suffix"><%= TimeZone.getDefault().getDisplayName(true, TimeZone.SHORT) %> &nbsp;&nbsp;(mm/dd/yyyy hh:mm:ss)</div>
+										</div>
+										<div class="form-input-row">
+											<div class="field-label" id='start-time-label' >End Time: </div>  
+											<input class="date-input" name='endtime' id='endtime' /> 
+											<div class="field-suffix"><%= TimeZone.getDefault().getDisplayName(true, TimeZone.SHORT) %> &nbsp;&nbsp;(mm/dd/yyyy hh:mm:ss)</div>
+										</div>
+										<div class="form-input-row">
+											<div class="field-label" id='interval-label' >Interval: </div>  
+											<input class="int-input" name='intervalvalue' id='intervalvalue' /> 
+											<select class="dropdown-input" name='intervalunit'>
+												<!-- option name="seconds" value="sec">seconds</option -->
+												<!-- option name="minutes" value="min">minutes</option -->
+												<option name="hours" value="hour">hours</option>
+												<option name="days" value="day">days</option>
+												<option name="weeks" value="week">weeks</option>
+												<option name="months" value="mon">months</option>
+											</select>
+										</div>
+										<br> <br>     		
+					        			<input class="submit-button" value="Schedule" type="submit"
 <%
-    	    	if (! hasSchedulePermissions) {
+					    	    		if (! hasSchedulePermissions) {
 %>
-					disabled="disabled"
+											disabled="disabled"
 <%
-    	    	}
+					    	    		}
 %>      			
-        			> 
-        		</form>
-			</div>		
-			<div class="content-subsection" id="workflow-run-section"> 
-				<div class="content-subsection-header">Workflow Run Schedule</div> 
-    			<div class="workflow-run-content" id="workflow-run-content"></div>
-			</div>
-        </div>
-        
-        <!-- Footer Content -->
-        <jsp:include page="footer2.jsp" />
+					        			> 
+        							</form>
+								</div>		
+								<div class="content-subsection" id="workflow-run-section"> 
+									<div class="content-subsection-header">Workflow Run Schedule</div> 
+					    			<div class="workflow-run-content" id="workflow-run-content"></div>
+								</div>
+        					</td>
+        				</tr>
+        				<tr class="footer-content-section">
+			    			<td colspan="3">     
+			        			<!-- Footer Content -->
+			       				<jsp:include page="footer2.jsp" />
+			     			</td>
+			    		</tr>
+        			</table>
+        		</td>
+        	</tr>
+        </table>
     </body>
 </html>
Index: lib/style/common/searchWorkflow.js
===================================================================
--- lib/style/common/searchWorkflow.js	(revision 5310)
+++ lib/style/common/searchWorkflow.js	(revision 5311)
@@ -35,7 +35,7 @@
 function setWorkflowQueryFormField(formId) {
 	var queryString = ""; 
 	queryString += "<pathquery version='1.2'>";
-	queryString += "<returndoctype>entity</returndoctype>";
+	/*queryString += "<returndoctype>entity</returndoctype>";
 	queryString += "<returndoctype>-//UC Berkeley//DTD MoML 1//EN</returndoctype>";
 	queryString += "<returnfield>/entity/@name</returnfield>";
 	queryString += "<returnfield>/entity/property[@name=\'KeplerDocumentation\']/property[@name=\'author\']/configure</returnfield>";
@@ -43,8 +43,16 @@
 	queryString += "<returnfield>/entity/property[@name=\'KeplerDocumentation\']/property[@name=\'createDate\']/configure</returnfield>";
 	queryString += "<returnfield>/entity/property[@name=\'KeplerDocumentation\']/property[@name=\'workflowId\']/configure</returnfield>";
 	queryString += "<returnfield>/entity/property[@name=\'karLSID\']/@value</returnfield>";				
-	queryString += "<returnfield>/entity/property[@name=\'entityId\']/@value</returnfield>";
-	
+	queryString += "<returnfield>/entity/property[@name=\'entityId\']/@value</returnfield>";*/
+	queryString += "<returndoctype>kar</returndoctype>";
+  queryString += "<returnfield>/kar/karEntry/karEntryXML/entity/@name</returnfield>";
+  queryString += "<returnfield>/kar/karEntry/karEntryXML/entity/property[@name=\'KeplerDocumentation\']/property[@name=\'author\']/configure</returnfield>";
+  queryString += "<returnfield>/kar/karEntry/karEntryXML/entity/property[@name=\'KeplerDocumentation\']/property[@name=\'description\']/configure</returnfield>";
+  queryString += "<returnfield>/kar/karEntry/karEntryXML/entity/property[@name=\'KeplerDocumentation\']/property[@name=\'createDate\']/configure</returnfield>";
+  queryString += "<returnfield>/kar/karEntry/karEntryXML/entity/property[@name=\'KeplerDocumentation\']/property[@name=\'workflowId\']/configure</returnfield>";
+  queryString += "<returnfield>/kar/mainAttributes/lsid</returnfield>";       
+  queryString += "<returnfield>/kar/karEntry/karEntryXML/entity/property[@name=\'entityId\']/@value</returnfield>";
+	queryString += "<returnfield>/kar/karEntry/karEntryXML/property[@name=\'WorkflowRun\']/@class</returnfield>";
 	queryString += "<querygroup operator='INTERSECT'>";	
 	
 	var elementList = document.getElementById(formId).elements;
@@ -86,53 +94,54 @@
 	if (sfElement.name == 'name') {
 		pathExpr += "<queryterm casesensitive='false' searchmode='" + searchMode + "'>";
 		pathExpr += "<value>" + sfElement.value + "</value>";
-		pathExpr += "<pathexpr>entity/@name</pathexpr>";
+		/*pathExpr += "<pathexpr>entity/@name</pathexpr>";*/
+		pathExpr += "<pathexpr>/kar/karEntry/karEntryXML/entity/@name</pathexpr>";
 		pathExpr += "</queryterm>"; 		
 	} else if (sfElement.name == 'keyword') {
 		pathExpr += "<queryterm casesensitive='false' searchmode='" + searchMode + "'>";
 		pathExpr += "<value>" + sfElement.value + "</value>";
-		pathExpr += "<pathexpr>property/@value</pathexpr>";
+		pathExpr += "<pathexpr>/kar/karEntry/karEntryXML/entity/property/@value</pathexpr>";
 		pathExpr += "</queryterm>"; 		
 	} else if (sfElement.name == 'creator') {
 		pathExpr += "<queryterm casesensitive='false' searchmode='" + searchMode + "'>";
 		pathExpr += "<value>" + sfElement.value + "</value>";
-		pathExpr += "<pathexpr>property/property/configure</pathexpr>";
+		pathExpr += "<pathexpr>/kar/karEntry/karEntryXML/entity/property/property/configure</pathexpr>";
 		pathExpr += "</queryterm>"; 		
 	} else if (sfElement.name == 'description') {
 		pathExpr += "<queryterm casesensitive='false' searchmode='" + searchMode + "'>";
 		pathExpr += "<value>" + sfElement.value + "</value>";
-		pathExpr += "<pathexpr>property/property/configure</pathexpr>";
+		pathExpr += "<pathexpr>/kar/karEntry/karEntryXML/entity/property/property/configure</pathexpr>";
 		pathExpr += "</queryterm>"; 		
 	} else if (sfElement.name == 'date-created') {
 		pathExpr += "<queryterm casesensitive='false' searchmode='" + searchMode + "'>";
 		pathExpr += "<value>" + sfElement.value + "</value>";
-		pathExpr += "<pathexpr>property/property/configure</pathexpr>";
+		pathExpr += "<pathexpr>/kar/karEntry/karEntryXML/entity/property/property/configure</pathexpr>";
 		pathExpr += "</queryterm>"; 		
-	} else if (sfElement.name == 'date-executed') {
+	} /*else if (sfElement.name == 'date-executed') {
 		pathExpr += "<queryterm casesensitive='false' searchmode='" + searchMode + "'>";
 		pathExpr += "<value>" + sfElement.value + "</value>";
-		pathExpr += "<pathexpr>property/property/configure</pathexpr>";
+		pathExpr += "<pathexpr>/kar/karEntry/karEntryXML/entity/property/property/configure</pathexpr>";
 		pathExpr += "</queryterm>";		
-	} else if (sfElement.name == 'workflow-id') {
+	} */ else if (sfElement.name == 'workflow-lsid') {
 		pathExpr += "<queryterm casesensitive='false' searchmode='" + searchMode + "'>";
 		pathExpr += "<value>entityId</value>";
-		pathExpr += "<pathexpr>/entity/property/@name</pathexpr>";
+		pathExpr += "<pathexpr>/kar/karEntry/karEntryXML/entity/property/@name</pathexpr>";
 		pathExpr += "</queryterm>"; 
 		pathExpr += "<queryterm casesensitive='false' searchmode='" + searchMode + "'>";
 		pathExpr += "<value>" + sfElement.value + "</value>";
-		pathExpr += "<pathexpr>/entity/property/@value</pathexpr>";
+		pathExpr += "<pathexpr>/kar/karEntry/karEntryXML/entity/property/@value</pathexpr>";
 		pathExpr += "</queryterm>";		
-	} else if (sfElement.name == 'workflow-run-id') {
+	}/* else if (sfElement.name == 'workflow-run-id') {
 		pathExpr += "<queryterm casesensitive='false' searchmode='" + searchMode + "'>";
 		pathExpr += "<value>" + sfElement.value + "</value>";
-		pathExpr += "<pathexpr>property/property/configure</pathexpr>";
+		pathExpr += "<pathexpr>/kar/karEntry/karEntryXML/entity/property/property/configure</pathexpr>";
 		pathExpr += "</queryterm>"; 		
 	} else if (sfElement.name == 'status') {
 		pathExpr += "<queryterm casesensitive='false' searchmode='" + searchMode + "'>";
 		pathExpr += "<value>" + sfElement.value + "</value>";
-		pathExpr += "<pathexpr>property/property/configure</pathexpr>";
+		pathExpr += "<pathexpr>/kar/karEntry/karEntryXML/entity/property/property/configure</pathexpr>";
 		pathExpr += "</queryterm>"; 		
-	} 
+	}*/
 	
 	//alert("returning path expression: " + pathExpr);
 	return pathExpr;
